%define module	Image-Xbm
%define name	perl-%{module}
%define version 1.08
%define release %mkrel 8

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Load, create, manipulate and save xbm image files
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/S/SU/SUMMER/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:	perl-Image-Base
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This class module provides basic load, manipulate and save functionality for
the xbm file format. It inherits from Image::Base which provides additional
manipulation functionality, e.g. new_from_image(). See the Image::Base pod for
information on adding your own functionality to all the Image::Base derived
classes.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Image
%{_mandir}/*/*

%changelog
* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-8mdv2007.0
- Rebuild

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-7mdk
- better summary and description
- spec cleanup
- better URL
- %%mkrel

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-6mdk
- fix buildrequires in a backward compatible way
- remove MANIFEST file

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-5mdk 
- rebuild

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-4mdk 
- fix directory ownership (distlint)
- make test

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.08-3mdk 
- rpmbuildupdate aware

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.08-2mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.08-1mdk
- first mdk release
